<html>
<head>
<meta charset="utf-8" />
<link rel="stylesheet" type="text/css" href="css/style.css">
<link rel="stylesheet" type="text/css" href="css/form.css">
<title>AutoComplete result with key value pair</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.13.2/themes/base/jquery-ui.min.css"
    integrity="sha512-ELV+xyi8IhEApPS/pSj66+Jiw+sOT1Mqkzlh8ExXihe4zfqbWkxPRi8wptXIO9g73FSlhmquFlUOuMSoXz5IRw=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
<script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
    crossorigin="anonymous"></script>
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"
    integrity="sha512-57oZ/vW8ANMjR/KQ6Be9v/+/h6bq9/l3f0Oc7vn6qMqyhvPd1cvKBRWWpzu0QoneImqr2SkmO4MSqU+RpHom3Q=="
    crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
$(document).ready(function() {
    $("#textbox").autocomplete({
        minlength: 3,
        source: function(request, response) {
            $.ajax({
                url: "get-result-by-additional-param.php",
                type: "POST",
                dataType: "json",
                data: { q: request.term, limit: 10 },
                success: function(data) {
                    response($.map(data, function(item) {
                        return {
                            label: item.title,
                            value: item.postId

                        };
                    }));
                }
            });
        },
        select: function(event, ui) {
            event.preventDefault();
            $('#textbox').val(ui.item.label);
            $('#itemId').val(ui.item.value);
        }
    });
});
</script>
</head>
<body>
    <h2 class="text-center m-5">AutoComplete result with key value pair</h2>
    <div class="phppot-container tile-container">
        <div class="row">
            <label>Type for suggestion</label> <input id="textbox"
                class="full-width" />
        </div>
        <div class="row">
            <label>Item id</label>
                <input id="itemId"
                class="full-width" />
        </div>
    </div>
</body>
</html>