<?php
require_once __DIR__ . '/../lib/DataSource.php';
$dataSource = new DataSource();

if (isset($_POST["formData"])) {
    $searchInput = filter_var($_POST["formData"], FILTER_SANITIZE_STRING);
    $highlight = '<b>' . $searchInput . '</b>';

    $query = "SELECT * FROM tbl_post WHERE title LIKE ? OR description LIKE ?
        ORDER BY id DESC LIMIT 15";
    $result = $dataSource->select($query, 'ss', array(
        "%" . $searchInput . "%",
        "%" . $searchInput . "%"
    ));

    if (! empty($result)) {
        ?>
<ul class="list-group">
<?php
        foreach ($result as $row) {
            ?>
    <li class="list-group-item text-muted"
        data-post-id="<?php echo $row["id"]; ?>"
        onClick="addToHistory(this)" role="button"><img
        class="post-icon" src="<?php echo $row["featured_image"]; ?>" /><span>
        <?php echo str_ireplace($searchInput, $highlight, $row["title"]); ?>
        </span></li>
<?php
        }
        ?>
</ul>
<?php
    }
}
?>