function showRecentSearch() {
	if (!(document.getElementById('textbox').value)) {
		fetch("ajax-endpoint/show-search-history.php", {
			method: "POST"
		}).then(function(response) {
			return response.text();

		}).then(function(responseData) {
			if (responseData != "") {
				document.getElementById('auto-suggestion-box').innerHTML = responseData;
			}
		});
	}
}

function showSuggestionList(searchInput) {
	if (searchInput.length > 1) {
		var xhttp = new XMLHttpRequest();
		xhttp.open('POST', 'ajax-endpoint/get-auto-suggestion.php', true);
		xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xhttp.send("formData=" + searchInput);
		xhttp.onreadystatechange = function() {
			if (xhttp.readyState == 4 && xhttp.status == 200) {
				document.getElementById('auto-suggestion-box').innerHTML = xhttp.responseText;
			}
		}
	}
	else {
		document.getElementById('auto-suggestion-box').innerHTML = '';
	}
}

function addToHistory(obj) {
	var selectedResult = obj.dataset.postId;
	fetch("ajax-endpoint/add-to-history.php", {
		method: "POST",
		body: JSON.stringify({
			selectedResult: selectedResult
		})
	}).then(function() {
		document.getElementById('textbox').value = obj.innerText;
	});
}

function removeFromHistory(obj, postId) {
	fetch("ajax-endpoint/remove-history.php", {
		method: "POST",
		body: JSON.stringify({
			postId: postId
		})
	}).then(function() {
		obj.parentNode.remove();
	});
}
