<?php
require_once __DIR__ . '/../lib/DataSource.php';
$dataSource = new DataSource();

$post_data = json_decode(file_get_contents('php://input'), true);
$selectedResult = filter_var($post_data['selectedResult'], FILTER_SANITIZE_STRING);
if (isset($selectedResult)) {

    $query = "SELECT * FROM tbl_search_history, tbl_post
        WHERE tbl_search_history.post_id = tbl_post.id
        AND tbl_post.id = ?";
    $result = $dataSource->select($query, 'i', array(
        $selectedResult
    ));

    if (empty($result)) {
        $query = "
        INSERT INTO tbl_search_history
            (post_id) VALUES (?)";

        $result = $dataSource->insert($query, 'i', array(
            $selectedResult
        ));
    }
}
?>